Subject: Re: Definition of VPATH
From: [email-masked] (Earnie Boyd)

15 Dec 1997 06:36:23 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Mon, 15 Dec 1997 09:59:02 +0100
>From: [email-masked] (Periat Henri)
>To: [email-masked]
>Subject: Re: Definition of VPATH
>Cc: [email-masked]
>

[snip]

>Hi Earnie
>
>Thanks for your repeated efforts. But your suggestion doesn't work, the 
file
>still can't be found.
>Version 3.76.1 of 'GNU make' solves this problem, but it has big 
problems with
>'"' in combination with cygnus 'bash', even '@echo "Hello world"' 
doesn't work.

I find it interesting that you are have a problem with the '"' in make.  
In the original mingw32 it was a known problem; had to do with the way 
that win32 was handling a quoted string.  To fix the problem I had to 
escape the '"' with the '\' character and depending on the shell nesting 
level sometimes the escape would have to be escaped.  I haven't given 
Mumit Kahn's EGCS version a try yet but I know he worked on changes 
specific to Win32.

I suggest:

1st try Mumit's version.

2nd try compiling the source under cygwin.

>This problem seems to be known and Rob Tulloh <[email-masked]>
>recommended me to load the latest patches (a, b, c and d). But i was 
not able
>to install these patches and get a running, patched 'make'. In 
'gnu.utils.help'
>i asked for a binary but got no response yet.
>
>
>Henri
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".